com.dlsc.flexgantt.swing.timeline

## Class DefaultEventlineObjectRenderer

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JLabel
        - - com.dlsc.flexgantt.swing.timeline.DefaultEventlineObjectRenderer

- All Implemented Interfaces:
    IEventlineObjectRenderer, IRenderer, ImageObserver, MenuContainer, Serializable, Accessible, SwingConstants

      public class DefaultEventlineObjectRenderer
      extends JLabel
      implements IEventlineObjectRenderer

  The default renderer used for objects shown on the eventline. These objects are returned by an instance of `IEventlineModel`. Each of these objects can have its own type. Different renderers based on that type can be registered with the Gantt chart.
  Since:
    1.0
  Version:
    $Revision: 1.11 $
  Author:
    Dirk Lemmermann
  See Also:
    `Eventline.getEventlineObjectRenderer(Class)`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JLabel

      `JLabel.AccessibleJLabel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.JLabel

      `labelFor`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEventlineObjectRenderer()` Constructs a new renderer for eventline objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `firePropertyChange(String propertyName, boolean oldValue, boolean newValue)` Commented out for performance reasons.
    `void` | `firePropertyChange(String propertyName, byte oldValue, byte newValue)` Commented out for performance reasons.
    `void` | `firePropertyChange(String propertyName, char oldValue, char newValue)` Commented out for performance reasons.
    `void` | `firePropertyChange(String propertyName, double oldValue, double newValue)` Commented out for performance reasons.
    `void` | `firePropertyChange(String propertyName, float oldValue, float newValue)` Commented out for performance reasons.
    `void` | `firePropertyChange(String propertyName, long oldValue, long newValue)` Commented out for performance reasons.
    `protected void` | `firePropertyChange(String propertyName, Object oldValue, Object newValue)` Commented out for performance reasons.
    `void` | `firePropertyChange(String propertyName, short oldValue, short newValue)` Commented out for performance reasons.
    `Color` | `getActivityFillColor1()` Returns the first color that will be used for filling the background of the timeline object with a gradient paint.
    `Color` | `getActivityFillColor2()` Returns the second color that will be used for filling the background of the timeline object with a gradient paint.
    `Color` | `getActivityLineColor()` Returns the line color that will be used for drawing the border of a timeline object if it is an activity (different start and end times).
    `Color` | `getEventFillColor1()` Returns the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is an event (same start and end time).
    `Color` | `getEventFillColor2()` Returns the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is an event (same start and end time).
    `protected Eventline` | `getEventline()` Returns the eventline where the renderer gets used.
    `Color` | `getEventLineColor()` Returns the line color that will be used for drawing the border of a timeline object in situations where the object is an event (same start and end time).
    `protected Object` | `getEventlineObject()` Returns the eventline object that is currently being painted by the renderer.
    `Component` | `getEventlineRendererComponent(Eventline eventline, Object eventlineObject, boolean selected, boolean focus)` Returns a renderer component for the given eventline model object.
    `Insets` | `getEventlineRendererInsets()` Returns the insets for the renderer.
    `Color` | `getFocusFillColor1()` Returns the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object has the focus.
    `Color` | `getFocusFillColor2()` Returns the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object has the focus.
    `Color` | `getFocusLineColor()` Returns the line color that will be used for drawing the border of a timeline object in situations where the object has the focus.
    `protected IEventlineModel` | `getModel()` Returns the eventline model that returned the eventline object currently being painted.
    `Color` | `getPastFillColor1()` Returns the first color used for filling the background of an activity when the activity is located in the past (earlier than time now).
    `Color` | `getPastFillColor2()` Returns the second color used for filling the background of an activity when the activity is located in the past (earlier than time now).
    `Color` | `getResizeHandleColor()` Returns the color used for the resize handles.
    `Color` | `getSelectionFillColor1()` Returns the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is selected.
    `Color` | `getSelectionFillColor2()` Returns the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is selected.
    `Color` | `getSelectionLineColor()` Sets the line color that will be used for drawing the border of a timeline object in situations where the object is selected.
    `boolean` | `hasFocus()` Determines whether the rendered eventline object has the focus.
    `void` | `invalidate()` Commented out for performance reasons.
    `protected boolean` | `isDurationChangeable()` Checks the `IEditEventlineObjectPolicy` to see if the duration of the currently rendered eventline object can be changed.
    `protected boolean` | `isEvent()` Determines whether the currently rendered timeline object represents an event.
    `protected boolean` | `isSelected()` Determines if the rendered eventline object is currently selected.
    `protected boolean` | `isStartTimeChangeable()` Checks the `IEditEventlineObjectPolicy` to see if the start time of the currently rendered eventline object can be changed.
    `boolean` | `isVisible()` Overriden in order to fix a bug in AWT, which causes the cursor to flicker during drag and drop operations.
    `boolean` | `isVisualizingPastTime()` Determines whether the renderer will draw the timeline object differently if the object is located in the past (e.g. gray out).
    `protected void` | `paintActivityBorder(Graphics g)` Paints the border of the activity object.
    `protected void` | `paintActivityContent(Graphics g)` Renders the timeline object if it is an activity (different start and end time = duration).
    `protected void` | `paintActivityFocus(Graphics g)` Adds visual feedback to an activity if it owns the focus.
    `protected void` | `paintComponent(Graphics g)`
    `protected void` | `paintEvent(Graphics g)` Renders the timeline object if it is an event (same start and end time).
    `void` | `repaint()` Commented out for performance reasons.
    `void` | `repaint(int x, int y, int width, int height)` Commented out for performance reasons.
    `void` | `repaint(long tm)` Commented out for performance reasons.
    `void` | `revalidate()` Commented out for performance reasons.
    `void` | `setActivityFillColor1(Color color)` Sets the first color that will be used for filling the background of the timeline object with a gradient paint.
    `void` | `setActivityFillColor2(Color color)` Sets the second color that will be used for filling the background of the timeline object with a gradient paint.
    `void` | `setActivityLineColor(Color color)` Sets the line color that will be used for drawing the border of a timeline object if it is an activity (different start and end times).
    `void` | `setEventFillColor1(Color color)` Sets the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is an event (same start and end time).
    `void` | `setEventFillColor2(Color color)` Sets the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is an event (same start and end time).
    `void` | `setEventLineColor(Color color)` Sets the line color that will be used for drawing the border of a timeline object in situations where the object is an event (same start and end time).
    `void` | `setFocusFillColor1(Color color)` Sets the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object has the focus.
    `void` | `setFocusFillColor2(Color color)` Sets the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object has the focus.
    `void` | `setFocusLineColor(Color color)` Sets the line color that will be used for drawing the border of a timeline object in situations where the object has the focus.
    `void` | `setPastFillColor1(Color color)` Sets the first color used for filling the background of an activity when the activity is located in the past (earlier than time now).
    `void` | `setPastFillColor2(Color color)` Sets the second color used for filling the background of an activity when the activity is located in the past (earlier than time now).
    `void` | `setResizeHandleColor(Color color)` Sets the color used for the resize handles.
    `void` | `setSelectionFillColor1(Color color)` Sets the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is selected.
    `void` | `setSelectionFillColor2(Color color)` Sets the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is selected.
    `void` | `setSelectionLineColor(Color color)` Sets the line color that will be used for drawing the border of a timeline object in situations where the object is selected.
    `void` | `setVisualizingPastTime(boolean b)` Specifies whether the renderer will draw the timeline object differently if the object is located in the past (e.g. gray out).
    `void` | `validate()` Commented out for performance reasons.

    - ### Methods inherited from class javax.swing.JLabel

      `checkHorizontalKey, checkVerticalKey, getAccessibleContext, getDisabledIcon, getDisplayedMnemonic, getDisplayedMnemonicIndex, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getLabelFor, getText, getUI, getUIClassID, getVerticalAlignment, getVerticalTextPosition, imageUpdate, paramString, setDisabledIcon, setDisplayedMnemonic, setDisplayedMnemonic, setDisplayedMnemonicIndex, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabelFor, setText, setUI, setVerticalAlignment, setVerticalTextPosition, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEventlineObjectRenderer

          public DefaultEventlineObjectRenderer()

      Constructs a new renderer for eventline objects.
      Since:
        1.0

  - ### Method Detail

    - #### getEventlineRendererComponent

          public Component getEventlineRendererComponent(Eventline eventline,
                                                         Object eventlineObject,
                                                         boolean selected,
                                                         boolean focus)

      Description copied from interface: `IEventlineObjectRenderer`
      Returns a renderer component for the given eventline model object. The object was previously returned by an instance of `IEventlineModel`.
      Specified by:
        `getEventlineRendererComponent` in interface `IEventlineObjectRenderer`
      Parameters:
        `eventline` - the eventline user interface component
        `eventlineObject` - the object returned from the eventline data source (eventline model)
        `selected` - a flag signalling whether the eventline object is currently selected
        `focus` - a flag indicating whether the eventline object has the focus
      Returns:
        a component used to render the given eventline object

    - #### getEventlineRendererInsets

          public Insets getEventlineRendererInsets()

      Description copied from interface: `IEventlineObjectRenderer`
      Returns the insets for the renderer. With the help of insets the component can request to get more or less space allocated than it would just based on the object's time span.
      Specified by:
        `getEventlineRendererInsets` in interface `IEventlineObjectRenderer`
      Returns:
        the renderer's insets

    - #### paintComponent

          protected void paintComponent(Graphics g)

      Overrides:
        `paintComponent` in class `JComponent`

    - #### paintEvent

          protected void paintEvent(Graphics g)

      Renders the timeline object if it is an event (same start and end time).
      Parameters:
        `g` - the graphics context into which to draw
      Since:
        1.0

    - #### paintActivityContent

          protected void paintActivityContent(Graphics g)

      Renders the timeline object if it is an activity (different start and end time = duration).
      Parameters:
        `g` - the graphics context into which to draw
      Since:
        1.0
      See Also:
        `paintActivityBorder(Graphics)`

    - #### paintActivityFocus

          protected void paintActivityFocus(Graphics g)

      Adds visual feedback to an activity if it owns the focus.
      Parameters:
        `g` - the graphics context into which to draw
      Since:
        1.0

    - #### isStartTimeChangeable

          protected boolean isStartTimeChangeable()

      Checks the `IEditEventlineObjectPolicy` to see if the start time of the currently rendered eventline object can be changed. This is important to know when drawing resize handles. These can only be added on the left edge of the eventline object when its duration AND its start time can be changed.
      Returns:
        TRUE if the start time of the eventline object can be changed
      Since:
        1.0

    - #### isDurationChangeable

          protected boolean isDurationChangeable()

      Checks the `IEditEventlineObjectPolicy` to see if the duration of the currently rendered eventline object can be changed. This is important to know when drawing resize handles.
      Returns:
        TRUE if the duration of the eventline object can be changed
      Since:
        1.0

    - #### paintActivityBorder

          protected void paintActivityBorder(Graphics g)

      Paints the border of the activity object.
      Parameters:
        `g` - the graphics context into which to draw
      Since:
        1.0

    - #### isVisualizingPastTime

          public boolean isVisualizingPastTime()

      Determines whether the renderer will draw the timeline object differently if the object is located in the past (e.g. gray out).
      Returns:
        TRUE if timeline objects located in the past are drawn in a different way
      Since:
        1.0

    - #### setVisualizingPastTime

          public void setVisualizingPastTime(boolean b)

      Specifies whether the renderer will draw the timeline object differently if the object is located in the past (e.g. gray out).
      Parameters:
        `b` - TRUE timeline objects located in the past will be drawn in a different way
      Since:
        1.0

    - #### getEventline

          protected Eventline getEventline()

      Returns the eventline where the renderer gets used.
      Returns:
        the eventline in which the renderer will draw
      Since:
        1.0

    - #### getEventlineObject

          protected Object getEventlineObject()

      Returns the eventline object that is currently being painted by the renderer.
      Returns:
        the eventline object
      Since:
        1.0

    - #### hasFocus

          public boolean hasFocus()

      Determines whether the rendered eventline object has the focus. This method should have been called `isFocused()` but `hasFocus()` is the Sun standard.
      Overrides:
        `hasFocus` in class `Component`
      Since:
        1.0

    - #### getModel

          protected IEventlineModel getModel()

      Returns the eventline model that returned the eventline object currently being painted.
      Returns:
        the eventline model
      Since:
        1.0

    - #### isSelected

          protected boolean isSelected()

      Determines if the rendered eventline object is currently selected.
      Returns:
        TRUE if the eventline object is selected
      Since:
        1.0

    - #### getActivityFillColor1

          public Color getActivityFillColor1()

      Returns the first color that will be used for filling the background of the timeline object with a gradient paint.
      Returns:
        the first fill color for the gradient background
      Since:
        1.0

    - #### setActivityFillColor1

          public void setActivityFillColor1(Color color)

      Sets the first color that will be used for filling the background of the timeline object with a gradient paint.
      Parameters:
        `color` - the first fill color for the gradient background
      Since:
        1.0

    - #### getActivityFillColor2

          public Color getActivityFillColor2()

      Returns the second color that will be used for filling the background of the timeline object with a gradient paint.
      Returns:
        the second fill color for the gradient background
      Since:
        1.0

    - #### setActivityFillColor2

          public void setActivityFillColor2(Color color)

      Sets the second color that will be used for filling the background of the timeline object with a gradient paint.
      Parameters:
        `color` - the second fill color for the gradient background
      Since:
        1.0

    - #### getFocusFillColor1

          public Color getFocusFillColor1()

      Returns the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object has the focus.
      Returns:
        the first fill color for the gradient background of focused timeline objects
      Since:
        1.0

    - #### setFocusFillColor1

          public void setFocusFillColor1(Color color)

      Sets the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object has the focus.
      Parameters:
        `color` - the first fill color for the gradient background of focused timeline objects
      Since:
        1.0

    - #### getFocusFillColor2

          public Color getFocusFillColor2()

      Returns the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object has the focus.
      Returns:
        the second fill color for the gradient background of focused timeline objects
      Since:
        1.0

    - #### setFocusFillColor2

          public void setFocusFillColor2(Color color)

      Sets the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object has the focus.
      Parameters:
        `color` - the second fill color for the gradient background of focused timeline objects
      Since:
        1.0

    - #### getFocusLineColor

          public Color getFocusLineColor()

      Returns the line color that will be used for drawing the border of a timeline object in situations where the object has the focus.
      Returns:
        the line color for the focused timeline object
      Since:
        1.0

    - #### setFocusLineColor

          public void setFocusLineColor(Color color)

      Sets the line color that will be used for drawing the border of a timeline object in situations where the object has the focus.
      Parameters:
        `color` - the line color for the focused timeline object
      Since:
        1.0

    - #### getActivityLineColor

          public Color getActivityLineColor()

      Returns the line color that will be used for drawing the border of a timeline object if it is an activity (different start and end times).
      Returns:
        the line color for the activity timeline object
      Since:
        1.0

    - #### setActivityLineColor

          public void setActivityLineColor(Color color)

      Sets the line color that will be used for drawing the border of a timeline object if it is an activity (different start and end times).
      Parameters:
        `color` - the line color for the activity timeline object
      Since:
        1.0

    - #### getSelectionFillColor1

          public Color getSelectionFillColor1()

      Returns the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is selected.
      Returns:
        the first fill color for the gradient background of selected timeline objects
      Since:
        1.0

    - #### setSelectionFillColor1

          public void setSelectionFillColor1(Color color)

      Sets the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is selected.
      Parameters:
        `color` - the first fill color for the gradient background of selected timeline objects
      Since:
        1.0

    - #### getSelectionFillColor2

          public Color getSelectionFillColor2()

      Returns the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is selected.
      Returns:
        the second fill color for the gradient background of selected timeline objects
      Since:
        1.0

    - #### setSelectionFillColor2

          public void setSelectionFillColor2(Color color)

      Sets the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is selected.
      Parameters:
        `color` - the second fill color for the gradient background of selected timeline objects
      Since:
        1.0

    - #### getSelectionLineColor

          public Color getSelectionLineColor()

      Sets the line color that will be used for drawing the border of a timeline object in situations where the object is selected.
      Returns:
        the line color for the highlighted timeline object
      Since:
        1.0

    - #### setSelectionLineColor

          public void setSelectionLineColor(Color color)

      Sets the line color that will be used for drawing the border of a timeline object in situations where the object is selected.
      Parameters:
        `color` - the line color for the highlighted timeline object
      Since:
        1.0

    - #### getEventFillColor1

          public Color getEventFillColor1()

      Returns the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is an event (same start and end time).
      Returns:
        the first fill color for the gradient background of timeline objects that are events
      Since:
        1.0

    - #### setEventFillColor1

          public void setEventFillColor1(Color color)

      Sets the first color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is an event (same start and end time).
      Parameters:
        `color` - the first fill color for the gradient background of timeline objects that are events
      Since:
        1.0

    - #### getEventFillColor2

          public Color getEventFillColor2()

      Returns the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is an event (same start and end time).
      Returns:
        the second fill color for the gradient background of timeline objects that are events
      Since:
        1.0

    - #### setEventFillColor2

          public void setEventFillColor2(Color color)

      Sets the second color that will be used for filling the background of the timeline object with a gradient paint in situations where the object is an event (same start and end time).
      Parameters:
        `color` - the second fill color for the gradient background of timeline objects that are events
      Since:
        1.0

    - #### setEventLineColor

          public void setEventLineColor(Color color)

      Sets the line color that will be used for drawing the border of a timeline object in situations where the object is an event (same start and end time).
      Parameters:
        `color` - the line color for the event timeline object
      Since:
        1.0

    - #### getEventLineColor

          public Color getEventLineColor()

      Returns the line color that will be used for drawing the border of a timeline object in situations where the object is an event (same start and end time).
      Returns:
        the line color for the event timeline object
      Since:
        1.0

    - #### isEvent

          protected boolean isEvent()

      Determines whether the currently rendered timeline object represents an event.
      Returns:
        TRUE if the timeline object being rendered is an event
      Since:
        1.0

    - #### getPastFillColor1

          public Color getPastFillColor1()

      Returns the first color used for filling the background of an activity when the activity is located in the past (earlier than time now).
      Returns:
        the first background color for past activities
      Since:
        1.0

    - #### setPastFillColor1

          public void setPastFillColor1(Color color)

      Sets the first color used for filling the background of an activity when the activity is located in the past (earlier than time now).
      Parameters:
        `color` - the first background color for past activities
      Since:
        1.0

    - #### getPastFillColor2

          public Color getPastFillColor2()

      Returns the second color used for filling the background of an activity when the activity is located in the past (earlier than time now).
      Returns:
        the second background color for past activities
      Since:
        1.0

    - #### setPastFillColor2

          public void setPastFillColor2(Color color)

      Sets the second color used for filling the background of an activity when the activity is located in the past (earlier than time now).
      Parameters:
        `color` - the second background color for past activities
      Since:
        1.0

    - #### getResizeHandleColor

          public Color getResizeHandleColor()

      Returns the color used for the resize handles.
      Returns:
        the handle color
      Since:
        1.0

    - #### setResizeHandleColor

          public void setResizeHandleColor(Color color)

      Sets the color used for the resize handles.
      Parameters:
        `color` - the handle color
      Since:
        1.0

    - #### validate

          public void validate()

      Commented out for performance reasons.
      Overrides:
        `validate` in class `Container`
      Since:
        1.0

    - #### revalidate

          public void revalidate()

      Commented out for performance reasons.
      Overrides:
        `revalidate` in class `JComponent`
      Since:
        1.0

    - #### invalidate

          public void invalidate()

      Commented out for performance reasons.
      Overrides:
        `invalidate` in class `Container`
      Since:
        1.0

    - #### firePropertyChange

          public void firePropertyChange(String propertyName,
                                         boolean oldValue,
                                         boolean newValue)

      Commented out for performance reasons.
      Overrides:
        `firePropertyChange` in class `JComponent`
      Since:
        1.0

    - #### firePropertyChange

          public void firePropertyChange(String propertyName,
                                         byte oldValue,
                                         byte newValue)

      Commented out for performance reasons.
      Overrides:
        `firePropertyChange` in class `Component`
      Since:
        1.0

    - #### firePropertyChange

          public void firePropertyChange(String propertyName,
                                         char oldValue,
                                         char newValue)

      Commented out for performance reasons.
      Overrides:
        `firePropertyChange` in class `JComponent`
      Since:
        1.0

    - #### firePropertyChange

          public void firePropertyChange(String propertyName,
                                         double oldValue,
                                         double newValue)

      Commented out for performance reasons.
      Overrides:
        `firePropertyChange` in class `Component`
      Since:
        1.0

    - #### firePropertyChange

          public void firePropertyChange(String propertyName,
                                         float oldValue,
                                         float newValue)

      Commented out for performance reasons.
      Overrides:
        `firePropertyChange` in class `Component`
      Since:
        1.0

    - #### firePropertyChange

          public void firePropertyChange(String propertyName,
                                         long oldValue,
                                         long newValue)

      Commented out for performance reasons.
      Overrides:
        `firePropertyChange` in class `Component`
      Since:
        1.0

    - #### firePropertyChange

          protected void firePropertyChange(String propertyName,
                                            Object oldValue,
                                            Object newValue)

      Commented out for performance reasons.
      Overrides:
        `firePropertyChange` in class `Component`
      Since:
        1.0

    - #### firePropertyChange

          public void firePropertyChange(String propertyName,
                                         short oldValue,
                                         short newValue)

      Commented out for performance reasons.
      Overrides:
        `firePropertyChange` in class `Component`
      Since:
        1.0

    - #### repaint

          public void repaint()

      Commented out for performance reasons.
      Overrides:
        `repaint` in class `Component`
      Since:
        1.0

    - #### repaint

          public void repaint(int x,
                              int y,
                              int width,
                              int height)

      Commented out for performance reasons.
      Overrides:
        `repaint` in class `Component`
      Since:
        1.0

    - #### repaint

          public void repaint(long tm)

      Commented out for performance reasons.
      Overrides:
        `repaint` in class `Component`
      Since:
        1.0

    - #### isVisible

          public boolean isVisible()

      Overriden in order to fix a bug in AWT, which causes the cursor to flicker during drag and drop operations.
      Overrides:
        `isVisible` in class `Component`
      Since:
        1.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.